Skip to main content
`Ctrl`+`K`

# PCHPDDMGetSTShareSubKSP

Gets whether the `KSP` in SLEPc `ST` and the fine-level subdomain solver is shared.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMGetSTShareSubKSP(PC pc, PetscBool *share)

## Input Parameter

- pc - preconditioner context

## Output Parameter

- share - whether the `KSP` is shared or not

## Note

This is not the same as `PCGetReusePreconditioner()`. The return value is unlikely to be true, but when it is, a symbolic factorization can be skipped when using a subdomain `PCType` such as `PCLU` or `PCCHOLESKY`.

## See Also

KSP: Linear System Solvers, `PCHPDDM`, `PCHPDDMSetSTShareSubKSP()`

## Level

advanced

## Location

src/ksp/pc/impls/hpddm/pchpddm.cxx

## Examples

src/ksp/ksp/tutorials/ex76.c

## Implementations

PCHPDDMGetSTShareSubKSP_HPDDM() in src/ksp/pc/impls/hpddm/pchpddm.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages